<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title>S08 - Intro to Bootstrap</title>
	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
</head>
<body>
	<!-- <nav class="navbar bg-primary ">
		<ul>
			<li><a href="#">Home</a></li>
			<li><a href="#">About Me</a></li>
			<li><a href="#">Projects</a></li>
		</ul>
	</nav> -->

	<p class="text-justify m-5">
		Lorem ipsum dolor sit amet consectetur adipisicing elit. Facilis repellendus, sapiente? Expedita corrupti repellat debitis doloribus earum modi sint repudiandae reiciendis eligendi hic quidem mollitia, itaque enim veniam qui corporis. Lorem ipsum, dolor sit amet consectetur adipisicing elit. Deserunt aperiam eveniet provident asperiores, consequatur nesciunt molestiae molestias rem quae vel modi, accusamus, error! Non dolorum sint nemo voluptatum. Dolore, incidunt. Lorem ipsum dolor sit amet consectetur adipisicing elit. Dignissimos cumque, minus veniam veritatis labore. Ratione, suscipit eos eum. Itaque ratione inventore aliquam laborum, nihil animi perspiciatis quis vitae, a aliquid!
	</p>
	<p class="text-center m-5">
		Lorem ipsum dolor sit amet consectetur adipisicing elit. Facilis repellendus, sapiente? Expedita corrupti repellat debitis doloribus earum modi sint repudiandae reiciendis eligendi hic quidem mollitia, itaque enim veniam qui corporis. Lorem ipsum, dolor sit amet consectetur adipisicing elit. Deserunt aperiam eveniet provident asperiores, consequatur nesciunt molestiae molestias rem quae vel modi, accusamus, error! Non dolorum sint nemo voluptatum. Dolore, incidunt. Lorem ipsum dolor sit amet consectetur adipisicing elit. Dignissimos cumque, minus veniam veritatis labore. Ratione, suscipit eos eum. Itaque ratione inventore aliquam laborum, nihil animi perspiciatis quis vitae, a aliquid!
	</p>

	<!-- text transform and font weight -->
	<p class="text-lowercase m-5">FIRST PARAGRAPH</p>
	<p class="text-uppercase m-5">second paragraph</p>
	<p class="text-capitalize m-5">thrid paragraph</p>
	<p class="font-weight-bold m-5">fourth paragraph</p>
	<p class="font-weight-lighter m-5">fifth paragraph</p>
	<p class="font-italic m-5">sixth paragraph</p>

	<!-- text color -->
	<div class="bg-light">
		<!-- text color -->
		<p class="text-primary m-5">primary</p>
		<p class="text-secondary m-5">secondary</p>
		<p class="text-success m-5">success</p>
		<p class="text-danger m-5">danger</p>
		<p class="text-info m-5">info</p>
		<p class="text-dark m-5">dark</p>
		<p class="text-light bg-dark m-5">light</p>	
	</div>
	<!-- list li text-color -->
	<div>
		<li>
			<a class="text-primary m-5" href="#">Primary</a>
		</li>
		<li>
			<a class="text-secondary m-5" href="#">Secondary</a>
		</li>
		<li>
			<a class="text-success m-5" href="#">Success</a>
		</li>
		<li>
			<a class="text-danger m-5" href="#">Danger</a>
		</li>
		<li>
			<a class="text-info m-5" href="#">Info</a>
		</li>
		<li>
			<a class="text-dark m-5" href="#">Dark</a>
		</li>
		<li>
			<a class="text-light m-5" href="#">Light</a>
		</li>
	</div>
	<!-- bg color -->
	<div>
		<p class="bg-primary">primary</p>
		<p class="bg-secondary">secondary</p>
		<p class="bg-success">success</p>
		<p class="bg-danger">danger</p>
		<p class="bg-info">info</p>
		<p class="bg-dark">dark</p>
		<p class="bg-light">light</p>
	</div>

	<!-- ADD border utility -->
	<div class="m-2" style="background-color: dimgray; padding: 30px;">
		<img src="https://via.placeholder.com/75x75" alt="" class="border border-danger">
		<img src="https://via.placeholder.com/75x75" alt="" class="border-top border-danger">
		<img src="https://via.placeholder.com/75x75" alt="" class="border-bottom border-danger">
		<img src="https://via.placeholder.com/75x75" alt="" class="border-right border-danger">
		<img src="https://via.placeholder.com/75x75" alt="" class="border-left border-danger">
	</div>
	<!-- SUB border utility -->
	<div class="m-2" style="background-color: dimgray; padding: 30px;">
		<img src="https://via.placeholder.com/75x75" alt="" class="border border-primary">
		<img src="https://via.placeholder.com/75x75" alt="" class="border-top border-danger">
		<img src="https://via.placeholder.com/75x75" alt="" class="border-bottom border-danger">
		<img src="https://via.placeholder.com/75x75" alt="" class="border-right border-danger">
		<img src="https://via.placeholder.com/75x75" alt="" class="border-left border-danger">
	</div>
	<!-- BORDER RADIUS  -->
	<!-- DISPLAY -->
	<div class="bg-primary d-inline">.d-inline</div>
	<span class="bg-success d-block">.d-block</span>
	<div class="bg-primary d-inline-block my-3">.d-inline-block</div>

	<!-- SIZING WIDTH-->
	<div style="height: 200px; background-color: dimgray; padding: 5px;">
		<div class="bg-warning w-25">25%</div>
		<div class="bg-primary w-50">50%</div>
		<div class="bg-success w-75">75%</div>
		<div class="bg-danger w-100">100%</div>
		<div class="bg-info w-auto">auto</div>
	</div>
	<!-- SIZING HEIGHT-->
	<div class="d-flex" style="height: 200px; background-color: dimgray; padding: 5px;">
		<div class="bg-warning h-25">25%</div>
		<div class="bg-primary h-50">50%</div>
		<div class="bg-success h-75">75%</div>
		<div class="bg-danger  h-100">100%</div>
		<div class="bg-info  h-auto">auto</div>
	</div>

	<!-- RESPONSIVE IMAGE -->
	<div><img src="https://static.wikia.nocookie.net/gensin-impact/images/8/8d/Character_Ganyu_Card.png/revision/latest?cb=20210106062018" alt="" class="img-fluid h-25 w-25 m-5 mx-auto d-block rounded-circle"></div>

	<!-- TABLES -->
	<div class="container">
		<table class="table table-light">
			<thead class="thead-dark">
				<tr>
					<th>First Name</th>
					<th>Last Name</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>Gerard</td>
					<td>Apinado</td>
				</tr>
			</tbody>
		</table>
	</div>
	

	<!-- Bootstrap JS -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>